using FastReport.Dialog;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace FastReport.Web.Blazor.Components.Internal.Dialog
{
    public class ListBoxBaseComponent<T> : DataFilterBaseComponent<T>
        where T : ListBoxBaseControl
    {
        protected void FillData()
        {
            if (Control.Items.Count == 0)
            {
                Control.FillData();
                ControlFilterRefresh();
            }
        }

    }
}
